Accounts
Authenticate Account
PUT
https://api.druo.com/accounts/authenticateAuthenticate a pending bank account validation request.
Submits the authentication credentials, such as a one-time password (OTP), required to verify ownership of a pending account.
Request body
The unique identifier (UUID) of the account being validated.
The unique validation slug associated with the pending account authentication.
The one-time password (OTP) received by the user on their device. This field is conditionally required if the pending account validation action is 'CONFIRM_OTP_VIA_MICRODEPOSIT'.
Response
The current verification status of the account validation.
Example:
VERIFICATION_IN_PROGRESSThe next action required to be performed by the user to progress validation.
Example:
CONFIRM_REQUEST_WITH_INSTITUTIONAdditional context or remarks regarding the account validation status.
Example:
ACCOUNT_DOES_NOT_EXIST
